multimedia/vlc - The NetBSD Packages Collection

VideoLAN media player and streaming server

VLC is a free and open source cross-platform multimedia player and
framework that plays most multimedia files as well as DVDs, Audio
CDs, VCDs, and various streaming protocols.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/automake devel/autoconf devel/gettext-tools shells/bash devel/bison devel/gmake lang/perl5 devel/pkgconf sysutils/coreutils

Runtime dependencies

fonts/dejavu-ttf sysutils/dbus x11/qt5-qtbase devel/pcre fonts/harfbuzz graphics/freetype2 graphics/freetype2 graphics/png fonts/fontconfig fonts/fontconfig graphics/MesaLib x11/libxcb x11/qt5-qtsvg x11/qt5-qtx11extras multimedia/libva multimedia/libvdpau audio/flac multimedia/libogg audio/fluidsynth audio/liba52 audio/libcddb audio/libmodplug audio/libopus audio/libsamplerate audio/libvorbis audio/libshout multimedia/libtheora audio/mpg123 audio/musepack audio/taglib converters/fribidi devel/libebml devel/libmtp devel/protobuf graphics/hicolor-icon-theme lang/lua52 misc/libcdio multimedia/ffmpeg4 multimedia/libass multimedia/libbluray textproc/libxml2 multimedia/libdvdplay multimedia/libdvdread multimedia/libdvbpsi0 multimedia/libdvdnav multimedia/libkate multimedia/libmatroska multimedia/schroedinger net/libmicrodns net/libupnp security/gnutls security/libgcrypt sysutils/desktop-file-utils x11/qt5-qtbase devel/pcre fonts/harfbuzz graphics/png fonts/fontconfig graphics/MesaLib x11/qt5-qtsvg x11/qt5-qtx11extras audio/flac multimedia/libogg audio/fluidsynth audio/liba52 audio/libcddb audio/libmodplug audio/libsamplerate audio/libvorbis audio/libshout multimedia/libtheora audio/taglib devel/libebml devel/protobuf graphics/hicolor-icon-theme multimedia/ffmpeg4 multimedia/libass multimedia/libbluray textproc/libxml2 multimedia/libdvdplay multimedia/libdvdread multimedia/libdvbpsi0 multimedia/libdvdnav multimedia/libmatroska net/libupnp security/gnutls security/libgcrypt sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvlc-3.0.11.1.tgz
NetBSD 8.0earmv7hfvlc-3.0.12nb2.tgz
NetBSD 8.0i386vlc-3.0.11nb3.tgz
NetBSD 8.0i386vlc-3.0.11.1.tgz
NetBSD 8.0i386vlc-3.0.12nb2.tgz
NetBSD 8.0powerpcvlc-3.0.12nb2.tgz
NetBSD 8.0x86_64vlc-3.0.12nb2.tgz
NetBSD 8.0x86_64vlc-3.0.11nb3.tgz
NetBSD 8.0x86_64vlc-3.0.11.1.tgz
NetBSD 9.0aarch64vlc-3.0.11nb3.tgz
NetBSD 9.0aarch64vlc-3.0.11.1.tgz
NetBSD 9.0aarch64vlc-3.0.12nb2.tgz
NetBSD 9.0earmv6hfvlc-3.0.14nb2.tgz
NetBSD 9.0earmv6hfvlc-3.0.11nb3.tgz
NetBSD 9.0earmv6hfvlc-3.0.11.1.tgz
NetBSD 9.0earmv6hfvlc-3.0.11.1.tgz
NetBSD 9.0earmv6hfvlc-3.0.12nb2.tgz
NetBSD 9.0earmv7hfvlc-3.0.14nb2.tgz
NetBSD 9.0earmv7hfvlc-3.0.11nb3.tgz
NetBSD 9.0earmv7hfvlc-3.0.11.1.tgz
NetBSD 9.0earmv7hfvlc-3.0.11.1.tgz
NetBSD 9.0earmv7hfvlc-3.0.12nb2.tgz
NetBSD 9.0earmv7hfvlc-3.0.12nb2.tgz
NetBSD 9.0earmv7hfvlc-3.0.14nb2.tgz
NetBSD 9.0i386vlc-3.0.11nb3.tgz
NetBSD 9.0i386vlc-3.0.11.1.tgz
NetBSD 9.0i386vlc-3.0.12nb2.tgz
NetBSD 9.0i386vlc-3.0.14nb2.tgz
NetBSD 9.0mips64ebvlc-3.0.14nb2.tgz
NetBSD 9.0powerpcvlc-3.0.11.1.tgz
NetBSD 9.0powerpcvlc-3.0.12nb2.tgz
NetBSD 9.0sparc64vlc-3.0.14nb2.tgz
NetBSD 9.0sparc64vlc-3.0.12nb2.tgz
NetBSD 9.0x86_64vlc-3.0.12.tgz
NetBSD 9.0x86_64vlc-3.0.14nb2.tgz
NetBSD 9.0x86_64vlc-3.0.12nb2.tgz
NetBSD 9.0x86_64vlc-3.0.14nb2.tgz
NetBSD 9.0x86_64vlc-3.0.11nb3.tgz
NetBSD 9.0x86_64vlc-3.0.11.1.tgz
NetBSD 9.0x86_64vlc-3.0.12nb2.tgz
NetBSD 9.0x86_64vlc-3.0.14nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

alsa
Enable ALSA support.
avahi
Enable DNS service discovery and multicast DNS support.
dbus
Enable dbus (desktop bus) support.
debug
Enable debugging facilities in the package.
dts
Enable DTS Coherent Acoustics support.
jack
Enable support for the JACK audio server.
pulseaudio
Enable support for the PulseAudio sound server.
qt5
Enable support for QT5.
vaapi
Enable support for VAAPI.
vdpau
Enable support for VDPAU.
vlc-skins
Enable skins support in VLC.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.